::************************************
:: Ste. May.						**
:: EduroamAdder						**
:: PH-Heidelberg.de/rz				**
:: V5-15.04.2019					**
::************************************

@echo off &
	if exist %temp%\eduroam.xml del %temp%\eduroam.xml
	::Prueft ob bereits ein altes W-Lan Profil (eduroam.xml) vorhanden ist.  Diese Datei wird aus aktualitaetsgruenden geloescht und neu angelegt.

@echo on &
	@echo Erstelle das W-Lan Profil im temporaeren Ordner...
	@echo\
		
@echo off &
	echo ^<?xml version="1.0"?^> >> %temp%\eduroam.xml
	echo ^<WLANProfile xmlns="http://www.microsoft.com/networking/WLAN/profile/v1"^> >> %temp%\eduroam.xml
	echo ^<name^>eduroam^</name^> >> %temp%\eduroam.xml
	echo ^<SSIDConfig^> >> %temp%\eduroam.xml
	echo ^<SSID^> >> %temp%\eduroam.xml
	echo ^<hex^>656475726F616D^</hex^> >> %temp%\eduroam.xml
	echo ^<name^>eduroam^</name^> >> %temp%\eduroam.xml
	echo ^</SSID^> >> %temp%\eduroam.xml
	echo ^<nonBroadcast^>false^</nonBroadcast^> >> %temp%\eduroam.xml
	echo ^</SSIDConfig^> >> %temp%\eduroam.xml
	echo ^<connectionType^>ESS^</connectionType^> >> %temp%\eduroam.xml
	echo ^<connectionMode^>auto^</connectionMode^> >> %temp%\eduroam.xml
	echo ^<autoSwitch^>false^</autoSwitch^> >> %temp%\eduroam.xml
	echo ^<MSM^> >> %temp%\eduroam.xml
	echo ^<security^> >> %temp%\eduroam.xml
	echo ^<authEncryption^> >> %temp%\eduroam.xml
	echo ^<authentication^>WPA2^</authentication^> >> %temp%\eduroam.xml
	echo ^<encryption^>AES^</encryption^> >> %temp%\eduroam.xml
	echo ^<useOneX^>true^</useOneX^> >> %temp%\eduroam.xml
	echo ^<FIPSMode xmlns="http://www.microsoft.com/networking/WLAN/profile/v2"^>false^</FIPSMode^> >> %temp%\eduroam.xml
	echo ^</authEncryption^> >> %temp%\eduroam.xml
	echo ^<PMKCacheMode^>enabled^</PMKCacheMode^> >> %temp%\eduroam.xml
	echo ^<PMKCacheTTL^>720^</PMKCacheTTL^> >> %temp%\eduroam.xml
	echo ^<PMKCacheSize^>128^</PMKCacheSize^> >> %temp%\eduroam.xml
	echo ^<preAuthMode^>disabled^</preAuthMode^> >> %temp%\eduroam.xml
	echo ^<OneX xmlns="http://www.microsoft.com/networking/OneX/v1"^> >> %temp%\eduroam.xml
	echo ^<cacheUserData^>false^</cacheUserData^> >> %temp%\eduroam.xml
	echo ^<authMode^>user^</authMode^> >> %temp%\eduroam.xml
	echo ^<EAPConfig^>^<EapHostConfig xmlns="http://www.microsoft.com/provisioning/EapHostConfig"^>^<EapMethod^>^<Type xmlns="http://www.microsoft.com/provisioning/EapCommon"^>25^</Type^>^<VendorId xmlns="http://www.microsoft.com/provisioning/EapCommon"^>0^</VendorId^>^<VendorType xmlns="http://www.microsoft.com/provisioning/EapCommon"^>0^</VendorType^>^<AuthorId xmlns="http://www.microsoft.com/provisioning/EapCommon"^>0^</AuthorId^>^</EapMethod^>^<Config xmlns="http://www.microsoft.com/provisioning/EapHostConfig"^>^<Eap xmlns="http://www.microsoft.com/provisioning/BaseEapConnectionPropertiesV1"^>^<Type^>25^</Type^>^<EapType xmlns="http://www.microsoft.com/provisioning/MsPeapConnectionPropertiesV1"^>^<ServerValidation^>^<DisableUserPromptForServerValidation^>false^</DisableUserPromptForServerValidation^>^<ServerNames^>^</ServerNames^>^<TrustedRootCA^>59 0d 2d 7d 88 4f 40 2e 61 7e a5 62 32 17 65 cf 17 d8 94 e9 ^</TrustedRootCA^>^</ServerValidation^>^<FastReconnect^>true^</FastReconnect^>^<InnerEapOptional^>false^</InnerEapOptional^>^<Eap xmlns="http://www.microsoft.com/provisioning/BaseEapConnectionPropertiesV1"^>^<Type^>26^</Type^>^<EapType xmlns="http://www.microsoft.com/provisioning/MsChapV2ConnectionPropertiesV1"^>^<UseWinLogonCredentials^>false^</UseWinLogonCredentials^>^</EapType^>^</Eap^>^<EnableQuarantineChecks^>false^</EnableQuarantineChecks^>^<RequireCryptoBinding^>false^</RequireCryptoBinding^>^<PeapExtensions^>^<PerformServerValidation xmlns="http://www.microsoft.com/provisioning/MsPeapConnectionPropertiesV2"^>true^</PerformServerValidation^>^<AcceptServerName xmlns="http://www.microsoft.com/provisioning/MsPeapConnectionPropertiesV2"^>true^</AcceptServerName^>^</PeapExtensions^>^</EapType^>^</Eap^>^</Config^>^</EapHostConfig^>^</EAPConfig^> >> %temp%\eduroam.xml
	echo ^</OneX^> >> %temp%\eduroam.xml
	echo ^</security^> >> %temp%\eduroam.xml
	echo ^</MSM^> >> %temp%\eduroam.xml
	echo ^</WLANProfile^> >> %temp%\eduroam.xml

::Dies ist das komplette W-Lan Profil. Es wird in eine externe XML ausgelagert. So vermeidet man 2 Dateien.
@echo on &
	@echo Erstellen abgeschlossen. Fuege nun das W-Lan Profil hinzu...
	@echo off & cls
	@echo\
	
	netsh wlan add profile %temp%\eduroam.xml
	
	@echo\
	@echo\
	@echo\
	@echo\
	@echo Eine Verbindung mit dem Eduroam-Netzwerk sollte nun moeglich sein :)
	@echo\
	@echo\
	@echo\
	@echo\
	@echo So tragen Sie Ihre Accountdaten in die Eduroam-Anmeldemaske:
	@echo\
	@echo Benutzername: 	Ihr PH-Benuztername@ph-heidelberg.de
	@echo Kennwort:	Ihr PH-Kennwort
	@echo\
	@echo\
	@echo\
	@echo\
	@echo\
	@echo\
	
	@echo Das Fenster kann nun geschlossen werden. 
	
	
	
	

@echo off &
	del %temp%\eduroam.xml
::Ballast abwerfen!
	Pause